WNParserInternal::State Struct Reference

Internal: the state of a WNParser. More...

## Public Member Functions

| State ()
| constructor More...

## Public Attributes

long | m_endPos
| the last position More...
std::vector< MWAWColor > | m_colorMap
| the color map More...
std::vector< WNEntry > | m_picturesList
| the list of picture entries More...
int | m_actPage
| the actual page More...
int | m_numPages
| the number of page of the final document More...
int | m_headerHeight
| the header height if known More...
int | m_footerHeight
| the footer height if known More...
int | m_numColumns
| the number of columns More...
int | m_columnWidth
| the columns size More...

## Detailed Description

Internal: the state of a WNParser.

## Constructor & Destructor Documentation

WNParserInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

int WNParserInternal::State::m_actPage

the actual page

std::vector<MWAWColor> WNParserInternal::State::m_colorMap

the color map

int WNParserInternal::State::m_columnWidth

the columns size

long WNParserInternal::State::m_endPos

the last position

int WNParserInternal::State::m_footerHeight

the footer height if known

int WNParserInternal::State::m_headerHeight

the header height if known

int WNParserInternal::State::m_numColumns

the number of columns

int WNParserInternal::State::m_numPages

the number of page of the final document

std::vector<WNEntry> WNParserInternal::State::m_picturesList

the list of picture entries

The documentation for this struct was generated from the following file:

- WNParser.cxx